Retrieves a node specified by index

- « DOMNodeList::getIterator

- DOMNotation »

- PHP Manual
- DOMNodeList
- Retrieves a node specified by index

# DOMNodeList::item

(PHP 5, PHP 7, PHP 8)

DOMNodeList::item — Retrieves a node specified by index

### Description

public DOMNodeList::item(int `$index`): DOMElement|DOMNode|DOMNameSpaceNode|null

Retrieves a node specified by `index` within the DOMNodeList object.

Tip

If you need to know the number of nodes in the collection, use the `length` property of the DOMNodeList object.

### Parameters

`index`

  Index of the node into the collection.

### Return Values

The node at the `index`th position in the DOMNodeList, or `null` if that is not a valid index.

### Examples

Example #1 Traversing all the entries of the table

    <?php

    $doc = new DOMDocument;
    $doc->load('book.xml');

    $items = $doc->getElementsByTagName('entry');

    for ($i = 0; $i < $items->length; $i++) {
        echo $items->item($i)->nodeValue . "\n";
    }

    ?>

Example #2 Accessing item with array syntax

    <?php

    for ($i = 0; $i < $items->length; $i++) {
        echo $items[$i]->nodeValue . "\n";
    }

    ?>

Example #3 Traversing items with foreach

    <?php

    foreach ($items as $item) {
        echo $item->nodeValue . "\n";
    }

    ?>

The above example will output:

    Title
    Author
    Language
    ISBN
    The Grapes of Wrath
    John Steinbeck
    en
    0140186409
    The Pearl
    John Steinbeck
    en
    014017737X
    Samarcande
    Amine Maalouf
    fr
    2253051209